Loading...
Searching...
No Matches
integral_limits

## Classes

struct | etl::integral_limits< T >
struct | etl::integral_limits< signed char >
struct | etl::integral_limits< unsigned char >
struct | etl::integral_limits< char >
struct | etl::integral_limits< short >
struct | etl::integral_limits< unsigned short >
struct | etl::integral_limits< int >
struct | etl::integral_limits< unsigned int >
struct | etl::integral_limits< long >
struct | etl::integral_limits< unsigned long >
struct | etl::integral_limits< long long >
struct | etl::integral_limits< unsigned long long >

## Detailed Description

A set of templated compile time constants that mirror some of std::numeric_limits functionality.

## Class Documentation

## etl::integral_limits

struct etl::integral_limits

template<typename T>
struct etl::integral_limits< T >

## etl::integral_limits< signed char >

struct etl::integral_limits< signed char >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_signed_char< T >
typedef signed char | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_signed_char< T >
static ETL_CONSTANT signed char | min = SCHAR_MIN
static ETL_CONSTANT signed char | max = SCHAR_MAX
static ETL_CONSTANT int | bits = CHAR_BIT
static ETL_CONSTANT bool | is_signed = etl::is_signed<signed char>::value

## etl::integral_limits< unsigned char >

struct etl::integral_limits< unsigned char >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_unsigned_char< T >
typedef unsigned char | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_unsigned_char< T >
static ETL_CONSTANT unsigned char | min = 0
static ETL_CONSTANT unsigned char | max = UCHAR_MAX
static ETL_CONSTANT int | bits = CHAR_BIT
static ETL_CONSTANT bool | is_signed = etl::is_signed<unsigned char>::value

## etl::integral_limits< char >

struct etl::integral_limits< char >

### Public Types

typedef char | value_type
Public Types inherited from etl::private_integral_limits::statics_char< T >
typedef char | value_type

## Additional Inherited Members

Static Public Attributes inherited from etl::private_integral_limits::statics_char< T >
static ETL_CONSTANT char | min = (etl::is_signed<char>::value) ? SCHAR_MIN : 0
static ETL_CONSTANT char | max = (etl::is_signed<char>::value) ? SCHAR_MAX : static_cast<char>(UCHAR_MAX)
static ETL_CONSTANT int | bits = CHAR_BIT
static ETL_CONSTANT bool | is_signed = etl::is_signed<char>::value

## etl::integral_limits< short >

struct etl::integral_limits< short >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_short< T >
typedef short | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_short< T >
static ETL_CONSTANT short | min = SHRT_MIN
static ETL_CONSTANT short | max = SHRT_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(short) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<short>::value

## etl::integral_limits< unsigned short >

struct etl::integral_limits< unsigned short >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_unsigned_short< T >
typedef unsigned short | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_unsigned_short< T >
static ETL_CONSTANT unsigned short | min = 0
static ETL_CONSTANT unsigned short | max = USHRT_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(unsigned short) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<unsigned short>::value

## etl::integral_limits< int >

struct etl::integral_limits< int >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_int< T >
typedef int | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_int< T >
static ETL_CONSTANT int | min = INT_MIN
static ETL_CONSTANT int | max = INT_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(int) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<int>::value

## etl::integral_limits< unsigned int >

struct etl::integral_limits< unsigned int >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_unsigned_int< T >
typedef unsigned int | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_unsigned_int< T >
static ETL_CONSTANT unsigned int | min = 0
static ETL_CONSTANT unsigned int | max = UINT_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(unsigned int) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<unsigned int>::value

## etl::integral_limits< long >

struct etl::integral_limits< long >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_long< T >
typedef long | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_long< T >
static ETL_CONSTANT long | min = LONG_MIN
static ETL_CONSTANT long | max = LONG_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(long) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<long>::value

## etl::integral_limits< unsigned long >

struct etl::integral_limits< unsigned long >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_unsigned_long< T >
typedef unsigned long | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_unsigned_long< T >
static ETL_CONSTANT unsigned long | min = 0
static ETL_CONSTANT unsigned long | max = ULONG_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(unsigned long) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<unsigned long>::value

## etl::integral_limits< long long >

struct etl::integral_limits< long long >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_long_long< T >
typedef long long | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_long_long< T >
static ETL_CONSTANT long long | min = LLONG_MIN
static ETL_CONSTANT long long | max = LLONG_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(long long) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<long long>::value

## etl::integral_limits< unsigned long long >

struct etl::integral_limits< unsigned long long >

## Additional Inherited Members

Public Types inherited from etl::private_integral_limits::statics_unsigned_long_long< T >
typedef unsigned long | value_type
Static Public Attributes inherited from etl::private_integral_limits::statics_unsigned_long_long< T >
static ETL_CONSTANT unsigned long long | min = 0
static ETL_CONSTANT unsigned long long | max = ULLONG_MAX
static ETL_CONSTANT int | bits = CHAR_BIT * (sizeof(unsigned long long) / sizeof(char))
static ETL_CONSTANT bool | is_signed = etl::is_signed<unsigned long long>::value